@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: 0;
}

body {
    min-height: 100vh;
    background-image: url(../img/fundo.jpg);
    background-size: cover;
    background-position: center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Open sans', sans-serif;
}

.container {
    border: 2px solid rgba(255, 255, 255, 0.2);
    width: 90%;
    max-width: 450px;
    padding: 30px 40px;
    border-radius: 10px;
    color: #fff;
    backdrop-filter: blur(20px);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

.container h1 {
    text-align: center;
    margin-bottom: 35px;
}

form {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.input-box {
    border: 2px solid rgba(255, 255, 255, 0.2);
    display: flex;
    align-items: center;
    height: 60px;
    border-radius: 40px;
    padding: 20px;
    transition: all 0.3s ease;
}

.input-box input {
    flex: 1;
    background-color: transparent;
    border: 0;
    outline: 0;
    font-size: 16px;
    color: #fff;
    min-width: 0;
}

.input-box input::placeholder {
    color: #fff;
}

.input-box:hover {
    border-color: rgba(255, 255, 255, 0.7);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
    cursor: text;
}

.input-box:focus-within {
    border-color: #fff;
    box-shadow: 0 0 15px rgba(255,255,255,0.3);
}

.input-box i {
    font-size: 20px;
    opacity: 0.7;
    transition: 0.3s ease;
}

.input-box:hover i,
.input-box:focus-within i {
    opacity: 1;
    transform: scale(1.1);
}

form button {
   border-radius: 30px;
   border: 0;
   outline: 0;
   font-size: 15px;
   font-weight: 500;
   padding: 10px;
   cursor: pointer;
   transition: all 0.3s ease;
}

form button:hover {
    background-color: rgba(105, 18, 122, 0.473); 
    color: #fff; 
}


.error-text {
    font-size: 14px;
    color: #ffb3c1;
    margin-top: -20px;
}

.divUsers {
    margin-top: 20px;
    max-height: 300px;
    overflow-y: auto;
}

.user {
    border: 2px solid rgba(255,255,255,0.15);
    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(10px);
    padding: 15px;
    margin-bottom: 10px;
    border-radius: 12px;
}

.user + .user {
    margin-top: 15px;
}

.user:hover {
    border-color: rgba(255, 255, 255, 0.7);
    box-shadow: 0 0 10px rgba(255, 255, 255, 0.2);
    transition: 0.3s ease;
    transform: translateY(-1px);
}

.buttonUpdate {
    margin-top: 10px;
    margin-right: 20px;
    border-radius: 10px;
    border: 0;
    outline: 0;
    font-size: 15px;
    font-weight: 500;
    padding: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.buttonUpdate:hover {
    background-color: rgba(52, 26, 58, 0.473);
    color: #fff;
    transform: translateY(-2px);
}

.buttonDelete {
    margin-top: 10px;
    margin-left: 20px;
    border-radius: 10px;
    border: 0;
    outline: 0;
    font-size: 15px;
    font-weight: 500;
    padding: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
}

.buttonDelete:hover {
    background-color: rgba(52, 26, 58, 0.473);
    color: #fff;
    transform: translateY(-2px);
}

.messages {
    margin-bottom: 20px;
}

.message {
    border: 2px solid rgba(255, 255, 255, 0.2);
    display: flex;
    align-items: center;
    height: 60px;
    border-radius: 40px;
    padding: 20px;
}

.success {
    border: 2px solid rgba(255, 255, 255, 0.2);
    background: #d4edda;
    color: #155724;
}

.error {
    background: #fdc3c8;
    color: #721c24;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px transparent inset !important;
    -webkit-text-fill-color: #fff !important;
    transition: background-color 5000s ease-in-out 0s;
}